Page MenuHomePhabricator

[Wikibase] Update wikibase/wikibase-codesniffer to ^0.5.0/0.5.1
Closed, ResolvedPublic

Description

The extension Wikibase uses:

composer.json
{
        "wikibase/wikibase-codesniffer": "^0.3.0",
}

That installs mediawiki/mediawiki-codesniffer 15.0.0 which is old and not compatible with PHP 7.3.

Updating it to 0.5.0 would get mediawiki/mediawiki-codesniffer 19.x which is PHP 7.3 compatible :]

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQuality : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/WikibaseQualityExternalValidation : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/Cognate : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/ArticlePlaceholder : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/InterwikiSorting : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/WikibaseMediaInfo : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/WikibaseQualityConstraints : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/WikibaseLexeme : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/Wikibase : masterUpdate Wikibase CodeSniffer to 0.5.1
mediawiki/extensions/Wikibase : masterbuild: Update wikibase/wikibase-codesniffer to 0.5.0
mediawiki/extensions/Wikibase : masterReplace @testWith by @dataProvider in test class
mediawiki/extensions/Wikibase : masterRemove @group and @covers from non test files
mediawiki/extensions/Wikibase : masterFix doc annotations
mediawiki/extensions/Wikibase : masterUpdate invalid and deprecated SPDX license identifier
mediawiki/extensions/Wikibase : masterRemove unused import
mediawiki/extensions/Wikibase : masterUse implode() instead of join
mediawiki/extensions/Wikibase : masterUpdate wikibase/wikibase-codesniffer to 0.5.0

Event Timeline

hashar created this task.Oct 29 2018, 6:09 PM
D3r1ck01 renamed this task from [Wikibase] Update wikibase/wikibase-codesniffer to 0.0.5 to [Wikibase] Update wikibase/wikibase-codesniffer to 0.5.0.Oct 29 2018, 6:32 PM

Change 470450 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/Wikibase@master] Update wikibase/wikibase-codesniffer to 0.5.0

https://gerrit.wikimedia.org/r/470450

D3r1ck01 added a subscriber: D3r1ck01.EditedOct 29 2018, 6:54 PM

@hashar, lots of errors & warnings now: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/22738/console, my system doesn't run PHP 7.3 :( Maybe someone can take it from here? Invoking @Legoktm maybe?

Thanks @D3r1ck01 for bumping the config! We'll take it from here.
Fixing issues shouldn't be a problem in principle. I'll just check I do it in a way that does not drop my colleagues working actively on the code base into some merge conflict swamp.

@WMDE-leszek, yeah, dealing with those Git issues are annoying sometimes but for the record, make sure all HEAD pointers are actually pointing to head and all repos up to date before work commences :). Thanks!

@hashar, loots of errors & warnings now: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/22738/console, my system doesn't run PHP 7.3 :( Maybe someone can take it from here? Invoking @Legoktm maybe?

I guess those errors are related to new rules added by codesniffer.
Legoktm stated on T208234 that mediawiki code sniffer 19+ does get support for PHP7.3. So we can trust his word and just assume it will be fixed. That can be checked in CI though by commenting check experimental on the change, that runs jobs using PHP7.3 (among other jobs).

@hashar, loots of errors & warnings now: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/22738/console, my system doesn't run PHP 7.3 :( Maybe someone can take it from here? Invoking @Legoktm maybe?

I guess those errors are related to new rules added by codesniffer.
Legoktm stated on T208234 that mediawiki code sniffer 19+ does get support for PHP7.3. So we can trust his word and just assume it will be fixed. That can be checked in CI though by commenting check experimental on the change, that runs jobs using PHP7.3 (among other jobs).

19.1.0 is the fix for php 7.3, but wikibase codesniffer 0.5.0 does not use that version. So wikibase codesniffer needs also a minor release to pull in the minor release of mediawiki codesniffer to get the php 7.3 fix

Change 472773 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Use implode() instead of join

https://gerrit.wikimedia.org/r/472773

Change 472774 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Update invalid and deprecated SPDX license identifier

https://gerrit.wikimedia.org/r/472774

Change 472775 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Remove unused import

https://gerrit.wikimedia.org/r/472775

Change 472776 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Fix doc annotations

https://gerrit.wikimedia.org/r/472776

Change 472778 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Remove @group and @covers from non test files

https://gerrit.wikimedia.org/r/472778

Change 472779 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Replace @testWith by @dataProvider in test class

https://gerrit.wikimedia.org/r/472779

Change 472780 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] build: Update wikibase/wikibase-codesniffer to 0.5.0

https://gerrit.wikimedia.org/r/472780

Change 470450 abandoned by D3r1ck01:
Update wikibase/wikibase-codesniffer to 0.5.0

Reason:
Work continues here: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /472780.

https://gerrit.wikimedia.org/r/470450

Change 472773 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use implode() instead of join

https://gerrit.wikimedia.org/r/472773

Change 472774 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update invalid and deprecated SPDX license identifier

https://gerrit.wikimedia.org/r/472774

Change 472775 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove unused import

https://gerrit.wikimedia.org/r/472775

Change 472776 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix doc annotations

https://gerrit.wikimedia.org/r/472776

Change 472778 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove @group and @covers from non test files

https://gerrit.wikimedia.org/r/472778

Change 472779 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Replace @testWith by @dataProvider in test class

https://gerrit.wikimedia.org/r/472779

Change 472780 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] build: Update wikibase/wikibase-codesniffer to 0.5.0

https://gerrit.wikimedia.org/r/472780

hashar closed this task as Resolved.Nov 12 2018, 8:43 AM
hashar assigned this task to Umherirrender.

I am assuming the codesniffer update fixed the php 7.3 issue.

I am assuming the codesniffer update fixed the php 7.3 issue.

In my opinion not, as written in T208253#4736887, but I have created an issue upstream to track it - https://github.com/wmde/WikibaseCodeSniffer/issues/51

Lucas_Werkmeister_WMDE reopened this task as Open.Nov 30 2018, 2:39 PM
Lucas_Werkmeister_WMDE claimed this task.

WikibaseCodeSniffer now has a 0.5.1 release to pull in MediaWiki CodeSniffer 19.1.0 (thanks for the issue @Umherirrender!), so let’s reopen this task to track all the repositories that now need to pull in 0.5.1 instead of 0.5.0.

Change 476863 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476863

Change 476864 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476864

Change 476865 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476865

Change 476863 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476863

Change 476864 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476864

Change 476865 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476865

Change 476889 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseMediaInfo@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476889

Change 476889 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/476889

Change 477101 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/ArticlePlaceholder@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/477101

Change 477102 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Cognate@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/477102

Change 477103 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/InterwikiSorting@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/477103

Change 477104 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQuality@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/477104

Change 477105 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Update Wikibase CodeSniffer to 0.5.1

https://gerrit.wikimedia.org/r/477105

Change 477103 abandoned by Umherirrender:
Update Wikibase CodeSniffer to 0.5.1

Reason:
Works, no merge due to ^ in the version constraint

https://gerrit.wikimedia.org/r/477103

Change 477101 abandoned by Umherirrender:
Update Wikibase CodeSniffer to 0.5.1

Reason:
Works, no merge due to ^ in the version constraint

https://gerrit.wikimedia.org/r/477101

Change 477102 abandoned by Umherirrender:
Update Wikibase CodeSniffer to 0.5.1

Reason:
Works, no merge due to ^ in the version constraint

https://gerrit.wikimedia.org/r/477102

Change 477105 abandoned by Umherirrender:
Update Wikibase CodeSniffer to 0.5.1

Reason:
Should works, no merge due to ^ in the version constraint

https://gerrit.wikimedia.org/r/477105

Change 477104 abandoned by Umherirrender:
Update Wikibase CodeSniffer to 0.5.1

Reason:
Should works, no merge due to ^ in the version constraint

https://gerrit.wikimedia.org/r/477104

Umherirrender renamed this task from [Wikibase] Update wikibase/wikibase-codesniffer to 0.5.0 to [Wikibase] Update wikibase/wikibase-codesniffer to ^0.5.0/0.5.1.Dec 1 2018, 10:09 PM
Umherirrender closed this task as Resolved.
Umherirrender triaged this task as Medium priority.